# TransformSpec

interface TransformSpec<T : TransformParameters?>

Base configuration for artifact transform registrations.

#### Since

5.3

#### Parameters

<T>

The transform specific parameter type.

#### See also

DependencyHandler

## Functions

getFrom
Link copied to clipboard
abstract fun getFrom(): AttributeContainer
Attributes that match the variant that is consumed.
getParameters
Link copied to clipboard
abstract fun getParameters(): T
The parameters for the transform action.
getTo
Link copied to clipboard
abstract fun getTo(): AttributeContainer
Attributes that match the variant that is produced.
parameters
Link copied to clipboard
abstract fun parameters(action: Action<in T>)
Configure the parameters for the transform action.